GroovySourceSet (Gradle API 8.12)
Description: declaration: package: org.gradle.api.tasks, interface: GroovySourceSet

Package org.gradle.api.tasks

# Interface GroovySourceSet

@Deprecated public interface GroovySourceSet
Deprecated.
Using convention to contribute to source sets is deprecated. You can configure the groovy sources via the `GroovySourceDirectorySet` extension (e.g. `sourceSet.getExtensions().getByType(GroovySourceDirectorySet.class).setSrcDirs(...)`). This interface is scheduled for removal in Gradle 9.0.
A `GroovySourceSet` defines the properties and methods added to a `SourceSet` by the `GroovyPlugin`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SourceDirectorySet`
  `getAllGroovy()`
  Deprecated.
  All Groovy source for this source set.
  `SourceDirectorySet`
  `getGroovy()`
  Deprecated.
  Returns the source to be compiled by the Groovy compiler for this source set.
  `GroovySourceSet`
  `groovy(Closure configureClosure)`
  Deprecated.
  Configures the Groovy source for this set.
  `GroovySourceSet`
  `groovy(Action<? super SourceDirectorySet> configureAction)`
  Deprecated.
  Configures the Groovy source for this set.

- ## Method Details

  - ### getGroovy

    SourceDirectorySet getGroovy()
    Deprecated.
    Returns the source to be compiled by the Groovy compiler for this source set. Any Java source present in this set will be passed to the Groovy compiler for joint compilation.
    Returns:
      The Groovy/Java source. Never returns null.

  - ### groovy

    GroovySourceSet groovy(@Nullable @DelegatesTo(SourceDirectorySet.class) Closure configureClosure)
    Deprecated.
    Configures the Groovy source for this set.

    The given closure is used to configure the `SourceDirectorySet` which contains the Groovy source.

    Parameters:
      `configureClosure` - The closure to use to configure the Groovy source.
    Returns:
      this

  - ### groovy

    GroovySourceSet groovy(Action<? super SourceDirectorySet> configureAction)
    Deprecated.
    Configures the Groovy source for this set.

    The given action is used to configure the `SourceDirectorySet` which contains the Groovy source.

    Parameters:
      `configureAction` - The action to use to configure the Groovy source.
    Returns:
      this

  - ### getAllGroovy

    SourceDirectorySet getAllGroovy()
    Deprecated.
    All Groovy source for this source set.
    Returns:
      the Groovy source. Never returns null.